#
# Cookbook:: esh_syncthing
# Recipe:: service
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

user = node['esh']['syncthing']['service']['user']

package 'syncthing'

service "syncthing@#{user}" do
    action [:enable, :start]
end

# Listen on 0.0.0.0:8384
file "/home/#{user}/.config/syncthing/config.xml" do
  content lazy {
    file = Chef::Util::FileEdit.new("/home/#{user}/.config/syncthing/config.xml")
    file.search_file_replace(/<address>127.0.0.1:8384<\/address>/, '<address>0.0.0.0:8384</address>')
    file.send(:editor).lines.join
  }
  retries 1
  notifies :restart, "service[syncthing@photoprism]", :immediately
end
  